aboutsummaryrefslogtreecommitdiffstats
path: root/bin/picc
diff options
context:
space:
mode:
Diffstat (limited to 'bin/picc')
-rwxr-xr-xbin/picc9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/picc b/bin/picc
new file mode 100755
index 0000000..f25d6d9
--- /dev/null
+++ b/bin/picc
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -xe
+
+[ ! -f "${1}" ]
+[ -f "${2}" ]
+[ -n "${3}" ]
+
+convert "${2}" -dither Riemersma -colors 16 "${3}"
remember that computers suck.